Appodeal changes its framework policy starting March 14th

  • Image
  • 1

Appodeal has long been supporting a variety of external plugins as well as providing all of the many necessary updates for them. Empirically, we have discovered that Unity 3D and Corona are far more popular with our clients than all other external plugins. Currently, Unity 3D and Corona combined with iOS and Android native frameworks account for more than 90% of Appodeal impressions.

As we aspire to provide top-notch SDK performance and to assure the stability of our product, we figured that concentrating on these plugins’ development will benefit our users more than if we were to continue distributing our resources across many frameworks. We have a lot of plans for enhancing the performance of our SDK, and providing the best support for Unity 3D and Corona.

Therefore, starting from March 14, 2018, we wound down support for any other frameworks except for Unity 3D and Corona. We’ve notified affected Appodeal users in November 2017 and have been working with them for the last three months to ensure a smooth transition in light of these changes.

What does it mean for those who work with other plugins, except for Corona and Unity?

Don’t worry: you’ll still be able to use the current version of SDK to monetize with Appodeal. In case you have Appodeal integrated into your application, it will work fine even after March 14, 2018.

All upcoming plugin versions will only include support and updates for Corona and Unity 3D. However, you can always implement our native SDK and develop your own wrappers to continue getting the latest updates, bug fixes, and support.

After March 14, 2018, the support team covers either Unity 3D and Corona or native Appodeal SDK integration inquiry.

We apologize for the inconvenience and will be happy to help you to adapt.

Here’s a list of plugins that will be ceased in development and support:

• AIR Native Extension v.3.0.4 (incl. Android 2.1.4, iOS 2.1.4)

• Basic4Android v.2.1.4 (incl. Android 2.1.4)

• SDKBOX for Cocos v.2.3.17 (incl. Android 2.1.4, iOS 2.1.4)

• Cordova v.3.0.4 (incl. Android 2.1.4, iOS 2.1.4)

• Game Maker v.3.0.4 (incl. Android 2.1.4, iOS 2.1.4)

• libGDX v.2.1.0 (incl. Android 2.1.0, iOS 2.1.0)

• PhoneGap v.3.0.4 (incl. Android 2.1.4, iOS 2.1.4)

• React Native v.2.1.4 (incl. Android 2.1.4, iOS 2.1.4)

• Defold v.2.1.7 (incl. Android 2.1.7, iOS 2.1.7)

• Scirra Construct 2 v.2.0.3 (updated to Cordova v.3.0.4)

• Xamarin v.2.1.4 (incl. Android 2.1.4, iOS 2.1.4)

• Unreal Engine v.2.1.4 (incl. Android 2.1.4, iOS 2.1.4)

• Qt v.2.0 (incl. Android 2.0, iOS 2.0)

• MonkeyX v.2.0.1 (incl. Android 2.0, iOS 2.0)

• Stencyl v.2.0 (incl. Android 2.0, iOS 2.0)

• Gideros v.2.0 (incl. Android 2.0, iOS 2.0)

• Marmalade v.1.2.0 (incl. Android 1.15.9, iOS 0.10.9)

Tags: , ,
  • Paulo Cesar

    Didn’t like it

This is a unique website which will require a more modern browser to work! Please upgrade today!